import { ARENA_SET_STATE, ARENA_REPLACE_STATE } from "../actionTypes.js";
import getArenaInitState from "./getArenaInitState";

export default function reducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getArenaInitState();
  var action = arguments[1];

  switch (action.type) {
    case ARENA_SET_STATE:
      return Object.assign({}, state, action.state);
    case ARENA_REPLACE_STATE:
      return Object.assign({}, action.state);
    default:
      return state;
  }
}