var _marked = /*#__PURE__*/regeneratorRuntime.mark(root);

/* eslint-disable no-constant-condition */
import { fork, all, setContext } from "redux-saga/effects";
import arenaCurtainSaga from "./arenaCurtainSaga";
import audienceSaga from "./audienceSaga";

/**
 * This is a function that starts saga
 * 
 * @export
 * @param {any} ctx 
 */
export default function root(ctx) {
  return regeneratorRuntime.wrap(function root$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return setContext(ctx);

        case 2:
          _context.next = 4;
          return all([fork(audienceSaga), fork(arenaCurtainSaga)]);

        case 4:
        case "end":
          return _context.stop();
      }
    }
  }, _marked, this);
}