var _marked = /*#__PURE__*/regeneratorRuntime.mark(_setSceneState);

import { put, call } from "redux-saga/effects";
import getArenaReducerDictEntry from "./getArenaReducerDictEntry";
import { ARENA_SCENE_SET_STATE } from "../core/actionTypes";

function _setSceneState(state, key) {
  var entry;
  return regeneratorRuntime.wrap(function _setSceneState$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return getArenaReducerDictEntry(key);

        case 2:
          entry = _context.sent;
          _context.next = 5;
          return put({
            type: ARENA_SCENE_SET_STATE,
            _sceneReducerKey: entry.reducerKey,
            state: state
          });

        case 5:
        case "end":
          return _context.stop();
      }
    }
  }, _marked, this);
}

export default function setSceneState(state) {
  var key = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "_arenaScene";

  return call(_setSceneState, state, key);
}