var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import { bundleToComponent } from "../../tools";
import ArenaSceneMotion from "./ArenaSceneMotion";
import * as actions from "./actions";
import reducer from "./reducer";

export default bundleToComponent({
  Component: ArenaSceneMotion,
  actions: actions,
  reducer: reducer,
  propsPicker: function propsPicker(state, actions, allState, _ref) {
    var _arenaScene = _ref._arenaScene;
    return _extends({}, state, {
      actions: actions,
      reducerKey: _arenaScene.reducerKey
    });
  },
  options: {
    vReducerKey: "_arenaSceneAnimation",
    isSceneReducer: false
  }
});