"use strict";

exports.__esModule = true;
exports.default = reducer;

var _actionTypes = require("../actionTypes.js");

var _getArenaInitState = require("./getArenaInitState");

var _getArenaInitState2 = _interopRequireDefault(_getArenaInitState);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function reducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : (0, _getArenaInitState2.default)();
  var action = arguments[1];

  switch (action.type) {
    case _actionTypes.ARENA_SET_STATE:
      return Object.assign({}, state, action.state);
    case _actionTypes.ARENA_REPLACE_STATE:
      return Object.assign({}, action.state);
    default:
      return state;
  }
}