"use strict";

exports.__esModule = true;
exports.default = sceneReducerWrapper;
function sceneReducerWrapper(srcReducer) {
  return function (state, action, sceneReducerKey) {
    if (action._sceneReducerKey === sceneReducerKey || action.type && action.type.indexOf("@@") === 0) {
      return srcReducer(state, action, sceneReducerKey);
    } else {
      return state;
    }
  };
}