"use strict";

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _tools = require("../../tools");

var _ArenaSceneMotion = require("./ArenaSceneMotion");

var _ArenaSceneMotion2 = _interopRequireDefault(_ArenaSceneMotion);

var _actions = require("./actions");

var actions = _interopRequireWildcard(_actions);

var _reducer = require("./reducer");

var _reducer2 = _interopRequireDefault(_reducer);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _tools.bundleToComponent)({
  Component: _ArenaSceneMotion2.default,
  actions: actions,
  reducer: _reducer2.default,
  propsPicker: function propsPicker(state, actions, allState, _ref) {
    var _arenaScene = _ref._arenaScene;
    return _extends({}, state, {
      actions: actions,
      reducerKey: _arenaScene.reducerKey
    });
  },
  options: {
    vReducerKey: "_arenaSceneAnimation",
    isSceneReducer: false
  }
});