var _marked = /*#__PURE__*/regeneratorRuntime.mark(_takeSceneAction),
    _marked2 = /*#__PURE__*/regeneratorRuntime.mark(_takeSceneActionMaybe);

import { take, call } from "redux-saga/effects";
import getArenaReducerDictEntry from "./getArenaReducerDictEntry";
import { END } from "redux-saga";

function _takeSceneAction(pattern, key) {
  var action, entry;
  return regeneratorRuntime.wrap(function _takeSceneAction$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          if (!true) {
            _context.next = 11;
            break;
          }

          _context.next = 3;
          return take(pattern);

        case 3:
          action = _context.sent;
          _context.next = 6;
          return getArenaReducerDictEntry(key);

        case 6:
          entry = _context.sent;

          if (!(action._sceneReducerKey === entry.reducerKey)) {
            _context.next = 9;
            break;
          }

          return _context.abrupt("return", action);

        case 9:
          _context.next = 0;
          break;

        case 11:
        case "end":
          return _context.stop();
      }
    }
  }, _marked, this);
}

function _takeSceneActionMaybe(pattern, key) {
  var action, entry;
  return regeneratorRuntime.wrap(function _takeSceneActionMaybe$(_context2) {
    while (1) {
      switch (_context2.prev = _context2.next) {
        case 0:
          if (!true) {
            _context2.next = 11;
            break;
          }

          _context2.next = 3;
          return take.maybe(pattern);

        case 3:
          action = _context2.sent;
          _context2.next = 6;
          return getArenaReducerDictEntry(key);

        case 6:
          entry = _context2.sent;

          if (!(action._sceneReducerKey === entry.reducerKey || action.type === END.type)) {
            _context2.next = 9;
            break;
          }

          return _context2.abrupt("return", action);

        case 9:
          _context2.next = 0;
          break;

        case 11:
        case "end":
          return _context2.stop();
      }
    }
  }, _marked2, this);
}

var takeSceneAction = function takeSceneAction(pattern) {
  var key = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "_arenaScene";

  return call(_takeSceneAction, pattern, key);
};

takeSceneAction.maybe = function (pattern) {
  var key = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "_arenaScene";

  return call(_takeSceneActionMaybe, pattern, key);
};

export default takeSceneAction;