import { ARENA_SCENE_REPLACE_STATE } from "../core/actionTypes";

export function sceneReplaceReducer(store, reducerKey, reducerFactory, state) {
  var newReducerKey = store.replaceReducer({
    reducerKey: reducerKey,
    reducer: reducerFactory(reducerKey),
    state: state
  });
  if (state) store.dispatch({
    type: ARENA_SCENE_REPLACE_STATE,
    _sceneReducerKey: newReducerKey,
    state: state
  });
  return reducerKey;
}