"use strict";

exports.__esModule = true;
exports.default = getArenaReducerDictEntry;

var _effects = require("redux-saga/effects");

var _marked = /*#__PURE__*/regeneratorRuntime.mark(_getArenaReducerDictEntry);

function _getArenaReducerDictEntry(key) {
  var dict, entry;
  return regeneratorRuntime.wrap(function _getArenaReducerDictEntry$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return (0, _effects.getContext)("arenaReducerDict");

        case 2:
          dict = _context.sent;
          entry = dict[key];

          if (!(entry == null)) {
            _context.next = 6;
            break;
          }

          throw new Error("can not get entry of key: \"" + key + "\"");

        case 6:
          return _context.abrupt("return", entry);

        case 7:
        case "end":
          return _context.stop();
      }
    }
  }, _marked, this);
}

function getArenaReducerDictEntry(key) {
  return (0, _effects.call)(_getArenaReducerDictEntry, key);
}