"use strict";

exports.__esModule = true;
exports.default = getSceneState;

var _effects = require("redux-saga/effects");

var _getArenaReducerDictEntry = require("./getArenaReducerDictEntry");

var _getArenaReducerDictEntry2 = _interopRequireDefault(_getArenaReducerDictEntry);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _marked = /*#__PURE__*/regeneratorRuntime.mark(_getSceneState);

function _getSceneState(key) {
  var entry;
  return regeneratorRuntime.wrap(function _getSceneState$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return (0, _getArenaReducerDictEntry2.default)(key);

        case 2:
          entry = _context.sent;
          _context.next = 5;
          return (0, _effects.select)(function (state) {
            return state[entry.reducerKey];
          });

        case 5:
          return _context.abrupt("return", _context.sent);

        case 6:
        case "end":
          return _context.stop();
      }
    }
  }, _marked, this);
}

function getSceneState() {
  var key = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "_arenaScene";

  return (0, _effects.call)(_getSceneState, key);
}