"use strict";

exports.__esModule = true;
exports.default = arenaCurtainConnect;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _redux = require("redux");

var _reactRedux = require("react-redux");

var _actions = require("./actions");

var actions = _interopRequireWildcard(_actions);

var _SceneBundle = require("./SceneBundle");

var _SceneBundle2 = _interopRequireDefault(_SceneBundle);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function arenaCurtainConnect(arenaReducerDict) {
  var mapDispatchToProps = function mapDispatchToProps(dispatch) {
    return (0, _redux.bindActionCreators)(actions, dispatch);
  };

  var mapStateToProps = function mapStateToProps(state) {
    var reducerKey = arenaReducerDict._arenaCurtain.reducerKey;
    return {
      PlayingScene: state[reducerKey].PlayingScene,
      curSceneBundle: state[reducerKey].curSceneBundle,
      reduxInfo: state[reducerKey].reduxInfo,
      parentArenaReducerDict: arenaReducerDict
    };
  };

  var wrappedComponent = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_SceneBundle2.default);

  wrappedComponent.displayName = "arenaCurtainConnect({reducerKey:" + arenaReducerDict._arenaCurtain.reducerKey + "})";
  return wrappedComponent;
}