"use strict";

exports.__esModule = true;
exports.sceneReplaceReducer = sceneReplaceReducer;

var _actionTypes = require("../core/actionTypes");

function sceneReplaceReducer(store, reducerKey, reducerFactory, state) {
  var newReducerKey = store.replaceReducer({
    reducerKey: reducerKey,
    reducer: reducerFactory(reducerKey),
    state: state
  });
  if (state) store.dispatch({
    type: _actionTypes.ARENA_SCENE_REPLACE_STATE,
    _sceneReducerKey: newReducerKey,
    state: state
  });
  return reducerKey;
}